Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.ExternalEvaluation/3.4/Programmable/MultiObjectiveOptimizationSupportScript.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.ExternalEvaluation/3.4/Programmable/MultiObjectiveOptimizationSupportScript.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.ExternalEvaluation/3.4/Programmable/MultiObjectiveOptimizationSupportScript.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.ExternalEvaluation {
   [Item("ProblemDefinitionScript", "Script that defines the parameter vector and evaluates the solution for a programmable problem.")]
-  [StorableClass]
+  [StorableClass("868702DE-4514-4F32-8E73-F602D9E8B7A8")]
   public sealed class MultiObjectiveOptimizationSupportScript : OptimizationSupportScript<IMultiObjectiveOptimizationSupport>, IMultiObjectiveOptimizationSupport {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.ExternalEvaluation/3.4/Programmable/SingleObjectiveOptimizationSupportScript.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.ExternalEvaluation/3.4/Programmable/SingleObjectiveOptimizationSupportScript.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.ExternalEvaluation/3.4/Programmable/SingleObjectiveOptimizationSupportScript.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Problems.ExternalEvaluation {
   [Item("ProblemDefinitionScript", "Script that defines the parameter vector and evaluates the solution for a programmable problem.")]
-  [StorableClass]
+  [StorableClass("B494EF47-B663-4015-8022-693E327E2764")]
   public sealed class SingleObjectiveOptimizationSupportScript : OptimizationSupportScript<ISingleObjectiveOptimizationSupport>, ISingleObjectiveOptimizationSupport {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.ExternalEvaluation/3.4/SolutionMessageBuilder.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.ExternalEvaluation/3.4/SolutionMessageBuilder.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.ExternalEvaluation/3.4/SolutionMessageBuilder.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.ExternalEvaluation {
   [Item("SolutionMessageBuilder", "Holds and uses a number of converters to translate HeuristicLab objects into appropriate fields of a solution message.")]
-  [StorableClass]
+  [StorableClass("240E62E6-9C29-45FC-A93E-45759CE99B7E")]
   public class SolutionMessageBuilder : NamedItem {
     public override bool CanChangeName { get { return false; } }
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/ArtificialAnt/Problem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/ArtificialAnt/Problem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/ArtificialAnt/Problem.cs	(revision 13368)
@@ -35,5 +35,5 @@
   [Item("Artificial Ant Problem", "Represents the Artificial Ant problem.")]
   [Creatable(CreatableAttribute.Categories.GeneticProgrammingProblems, Priority = 170)]
-  [StorableClass]
+  [StorableClass("F722FA09-B8E2-4C8A-B81A-B13C9DBC6F23")]
   public sealed class Problem : SymbolicExpressionTreeProblem, IStorableContent {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/ArtificialAnt/Trail.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/ArtificialAnt/Trail.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/ArtificialAnt/Trail.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("AntTrail", "Represents a trail of an artificial ant which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableClass("2B4B2242-3BA5-40F4-9D6B-7D76568715F0")]
   public sealed class Solution : Item {
     public static new Image StaticItemImage {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/BasicSymbolicRegression/Problem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/BasicSymbolicRegression/Problem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/BasicSymbolicRegression/Problem.cs	(revision 13368)
@@ -35,5 +35,5 @@
   [Item("Koza-style Symbolic Regression", "An implementation of symbolic regression without bells-and-whistles. Use \"Symbolic Regression Problem (single-objective)\" if you want to use all features.")]
   [Creatable(CreatableAttribute.Categories.GeneticProgrammingProblems, Priority = 900)]
-  [StorableClass]
+  [StorableClass("D152EEC7-F09C-4FC4-84B1-919AC4FBAE50")]
   public sealed class Problem : SymbolicExpressionTreeProblem, IRegressionProblem, IProblemInstanceConsumer<IRegressionProblemData>, IProblemInstanceExporter<IRegressionProblemData> {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/Boolean/EvenParityProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/Boolean/EvenParityProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/Boolean/EvenParityProblem.cs	(revision 13368)
@@ -34,5 +34,5 @@
   [Item("Even Parity Problem", "The Boolean even parity genetic programming problem. See Koza, 1992, page 529 section 20.2 Symbolic Regression of Even-Parity Functions")]
   [Creatable(CreatableAttribute.Categories.GeneticProgrammingProblems, Priority = 900)]
-  [StorableClass]
+  [StorableClass("1394187F-9938-4214-B23C-E67FA599633C")]
   public sealed class EvenParityProblem : SymbolicExpressionTreeProblem {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/Boolean/MultiplexerProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/Boolean/MultiplexerProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/Boolean/MultiplexerProblem.cs	(revision 13368)
@@ -36,5 +36,5 @@
     "The Boolean multiplexer genetic programming problem. See Koza 1992, page 171, section 7.4.1 11-multiplexer.")]
   [Creatable(CreatableAttribute.Categories.GeneticProgrammingProblems, Priority = 900)]
-  [StorableClass]
+  [StorableClass("B1219885-2D3F-47D9-A645-C742780D03F3")]
   public sealed class MultiplexerProblem : SymbolicExpressionTreeProblem {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/LawnMower/Problem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/LawnMower/Problem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/LawnMower/Problem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.LawnMower {
-  [StorableClass]
+  [StorableClass("8403558D-04ED-40FC-92F1-FADDF4341A61")]
   [Creatable(CreatableAttribute.Categories.GeneticProgrammingProblems, Priority = 160)]
   [Item("Lawn Mower Problem", "The lawn mower demo problem for genetic programming.")]
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/LawnMower/Solution.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/LawnMower/Solution.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/LawnMower/Solution.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.LawnMower {
-  [StorableClass]
+  [StorableClass("A81DE607-3301-494A-9682-B39C8D358711")]
   public sealed class Solution : NamedItem {
     [Storable]
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/EnemyCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/EnemyCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/EnemyCollection.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
   [Item("EnemyCollection", "A collection of enemy robots for the Robocode genetic programming problem.")]
-  [StorableClass]
+  [StorableClass("19A1CD8E-28BD-455F-B1BB-C41E9D6D3798")]
   public class EnemyCollection : CheckedItemList<StringValue> {
     private const string sampleRobotToSelect = "sample.Crazy";
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Grammar.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Grammar.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Grammar.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableClass("53BB8535-4BBD-4154-8400-29B03968489B")]
   [Item("Robocode Grammar", "The grammar for the Robocode GP problem.")]
   public class Grammar : SymbolicExpressionGrammar {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Problem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Problem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Problem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableClass("CCDE781F-C08A-42FC-92F9-DA45179DA98B")]
   [Creatable(CreatableAttribute.Categories.GeneticProgrammingProblems, Priority = 360)]
   [Item("Robocode Problem", "Evolution of a robocode program in java using genetic programming.")]
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Solution.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Solution.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Solution.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableClass("B45EA8B7-9B06-445F-8947-F60C2A27B514")]
   [Item("Solution", "Robocode program and configuration.")]
   public sealed class Solution : Item {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanTreeNode.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanTreeNode.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanTreeNode.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableClass("D3457504-5E52-4A07-B425-0548F7BC8B17")]
   public class BooleanTreeNode : SymbolicExpressionTreeTerminalNode {
     private bool value;
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanValue.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanValue.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanValue.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableClass("14E2D747-BE81-4609-8CD6-0B4C95DE4742")]
   public class BooleanValue : Symbol {
     public override int MinimumArity { get { return 0; } }
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/CodeSymbol.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/CodeSymbol.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/CodeSymbol.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableClass("4D367CF4-BE0B-4384-A4E4-3DEA63334EEB")]
   // a symbol that can represent any user-defined fragment of code
   public sealed class CodeSymbol : Symbol {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/Number.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/Number.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/Number.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableClass("D5D4D450-E087-410A-ABC6-5555BF57DB44")]
   public class Number : Symbol {
     public override int MinimumArity { get { return 0; } }
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/NumberTreeNode.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/NumberTreeNode.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/NumberTreeNode.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableClass("23078848-6197-4C2D-AB45-80AF77039266")]
   public class NumberTreeNode : SymbolicExpressionTreeTerminalNode {
     private int value;
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPower.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPower.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPower.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableClass("08056362-D57B-461D-B7BD-F9439FAEAD11")]
   public class ShotPower : Symbol {
     public override int MinimumArity { get { return 0; } }
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPowerTreeNode.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPowerTreeNode.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPowerTreeNode.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableClass("002ED6EC-1502-4D92-BD99-A5F6D9FA2A52")]
   public class ShotPowerTreeNode : SymbolicExpressionTreeTerminalNode {
     private double value;
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/ArtificialAnt/GEArtificialAntEvaluator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/ArtificialAnt/GEArtificialAntEvaluator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/ArtificialAnt/GEArtificialAntEvaluator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -36,5 +36,5 @@
 namespace HeuristicLab.Problems.GrammaticalEvolution {
   [Item("GEArtificialAntEvaluator", "Evaluates an artificial ant solution for grammatical evolution.")]
-  [StorableClass]
+  [StorableClass("01A01AF8-3D9E-4444-A68F-67C87D25DFD9")]
   public class GEArtificialAntEvaluator : SingleSuccessorOperator,
     ISingleObjectiveEvaluator, ISymbolicExpressionTreeGrammarBasedOperator {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/ArtificialAnt/GEArtificialAntProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/ArtificialAnt/GEArtificialAntProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/ArtificialAnt/GEArtificialAntProblem.cs	(revision 13368)
@@ -40,5 +40,5 @@
 namespace HeuristicLab.Problems.GrammaticalEvolution {
   [Item("Grammatical Evolution Artificial Ant Problem", "Represents the Artificial Ant problem, implemented in Grammatical Evolution.")]
-  [StorableClass]
+  [StorableClass("E00E2FDA-5F9D-405B-87DE-446B8F0FE88F")]
   public sealed class GEArtificialAntProblem : SingleObjectiveHeuristicOptimizationProblem<GEArtificialAntEvaluator, IIntegerVectorCreator>, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/BreathFirstMapper.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/BreathFirstMapper.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/BreathFirstMapper.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -36,5 +36,5 @@
   /// </summary>
   [Item("BreathFirstMapper", "Resolves the non-terminal symbols of the resulting phenotypic syntax tree in a breath-first manner.")]
-  [StorableClass]
+  [StorableClass("97DFAFE1-AAC5-41B2-B0A1-37CC56AFA4F0")]
   public class BreathFirstMapper : GenotypeToPhenotypeMapper {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/DepthFirstMapper.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/DepthFirstMapper.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/DepthFirstMapper.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -37,5 +37,5 @@
   /// </summary>
   [Item("DepthFirstMapper", "Resolves the non-terminal symbols of the resulting phenotypic syntax tree in a depth-first manner.")]
-  [StorableClass]
+  [StorableClass("77FA7959-4BF7-45AA-8126-32F7A19A2E98")]
   public class DepthFirstMapper : GenotypeToPhenotypeMapper {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/PIGEMapper.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/PIGEMapper.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/PIGEMapper.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -38,6 +38,6 @@
   ///   Rule = Codon Value % Number Of Rules
   ///   
-  /// 𝜋GE:
-  ///   𝜋GE codons consist of (nont, rule) tuples, where nont may be one value from an "order"
+  /// ðGE:
+  ///   ðGE codons consist of (nont, rule) tuples, where nont may be one value from an "order"
   ///   integer vector and rule may be one value from a "content" integer vector.
   ///   
@@ -50,5 +50,5 @@
   ///  * Content-only:  only "content" vector is modified, "order" vector is fixed (0:1),
   ///                   best result according to [2]
-  ///  * 𝜋GE:           genetic operators are applied equally (1:1), 
+  ///  * ðGE:           genetic operators are applied equally (1:1), 
   ///  * Content:Order: genetic operators are applied unequally (e.g. 2:1 or 1:2),
   /// 
@@ -60,13 +60,13 @@
   /// Described in
   /// 
-  /// [1] Michael O’Neill et al. 𝜋Grammatical Evolution. In: GECCO 2004.
-  /// Vol. 3103. LNCS. Heidelberg: Springer-Verlag Berlin, 2004, pp. 617–629.
+  /// [1] Michael OâNeill et al. ðGrammatical Evolution. In: GECCO 2004.
+  /// Vol. 3103. LNCS. Heidelberg: Springer-Verlag Berlin, 2004, pp. 617â629.
   /// url: http://dynamics.org/Altenberg/UH_ICS/EC_REFS/GP_REFS/GECCO/2004/31030617.pdf.
   /// 
-  /// [2] David Fagan et al. Investigating Mapping Order in πGE. IEEE, 2010
+  /// [2] David Fagan et al. Investigating Mapping Order in ÏGE. IEEE, 2010
   /// url: http://ncra.ucd.ie/papers/pigeWCCI2010.pdf
   /// </remarks>
   [Item("PIGEMapper", "Position Independent (PI) Grammatical Evolution Mapper")]
-  [StorableClass]
+  [StorableClass("AED62020-ADCE-481A-9D00-F1D11648E79E")]
   public class PIGEMapper : GenotypeToPhenotypeMapper {
 
@@ -130,5 +130,5 @@
 
     /// <summary>
-    /// Genotype-to-Phenotype mapper (iterative 𝜋GE approach, using a list of not expanded nonTerminals).
+    /// Genotype-to-Phenotype mapper (iterative ðGE approach, using a list of not expanded nonTerminals).
     /// </summary>
     /// <param name="startNode">first node of the tree with arity 1</param>
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/RandomMapper.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/RandomMapper.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/RandomMapper.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -36,5 +36,5 @@
   /// </summary>
   [Item("RandomMapper", "Randomly determines the next non-terminal symbol to expand.")]
-  [StorableClass]
+  [StorableClass("E1690625-9C0B-4173-BCB0-F9380C244B79")]
   public class RandomMapper : GenotypeToPhenotypeMapper {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisEvaluator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisEvaluator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisEvaluator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -40,5 +40,5 @@
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
-  [StorableClass]
+  [StorableClass("30AA60C4-F2F9-470C-BFED-0C31DC05EBB6")]
   public abstract class GESymbolicDataAnalysisEvaluator<T> : SingleSuccessorOperator,
     IGESymbolicDataAnalysisEvaluator<T>, ISymbolicDataAnalysisInterpreterOperator, ISymbolicDataAnalysisBoundedOperator, IStochasticOperator
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -42,5 +42,5 @@
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
-  [StorableClass]
+  [StorableClass("F44DF538-2C42-4F37-8912-690B303F4E7D")]
   public abstract class GESymbolicDataAnalysisProblem<T, U, V> : HeuristicOptimizationProblem<U, V>, IDataAnalysisProblem<T>,
                                                                  IGESymbolicDataAnalysisProblem, IStorableContent,
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisSingleObjectiveEvaluator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisSingleObjectiveEvaluator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisSingleObjectiveEvaluator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
-  [StorableClass]
+  [StorableClass("23BE8373-189F-454B-B9C3-8463A3CDB23E")]
   public abstract class GESymbolicDataAnalysisSingleObjectiveEvaluator<T> : GESymbolicDataAnalysisEvaluator<T>, IGESymbolicDataAnalysisSingleObjectiveEvaluator<T>
    where T : class, IDataAnalysisProblemData {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisSingleObjectiveProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisSingleObjectiveProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisSingleObjectiveProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -35,5 +35,5 @@
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
-  [StorableClass]
+  [StorableClass("90C972D9-8E5F-441D-AFD1-05FF09719438")]
   public abstract class GESymbolicDataAnalysisSingleObjectiveProblem<T, U, V> : GESymbolicDataAnalysisProblem<T, U, V>,
                                                                                 IGESymbolicDataAnalysisSingleObjectiveProblem
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicExpressionGrammar.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicExpressionGrammar.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicExpressionGrammar.cs	(revision 13368)
@@ -33,5 +33,5 @@
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
-  [StorableClass]
+  [StorableClass("7D092842-7892-4ABD-A2F7-B808F2223CD6")]
   [Item("GESymbolicExpressionGrammar", "Represents a grammar for functional expressions for grammatical evolution.")]
   public class GESymbolicExpressionGrammar : SymbolicExpressionGrammar, ISymbolicDataAnalysisGrammar {
